curl --request GET \
--url https://api.nebius.cloud/msp/postgresql/v1alpha1/clusters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/msp/postgresql/v1alpha1/clusters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/msp/postgresql/v1alpha1/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clusters": [
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"bootstrap": {
"dbName": "<string>",
"userName": "<string>",
"userPassword": "<string>"
},
"config": {
"template": {
"disk": {
"sizeGibibytes": "<string>",
"type": "<string>"
},
"hosts": {
"count": "<string>"
},
"resources": {
"platform": "<string>",
"preset": "<string>"
}
},
"version": "<string>",
"poolerConfig": {
"maxPoolSize": "<string>",
"poolingMode": "POOLING_MODE_UNSPECIFIED"
},
"postgresqlConfig16": {
"autovacuumAnalyzeScaleFactor": 123,
"autovacuumNaptime": "<string>",
"autovacuumVacuumCostDelay": "<string>",
"autovacuumVacuumCostLimit": "<string>",
"autovacuumVacuumScaleFactor": 123,
"autovacuumWorkMem": "<string>",
"defaultTransactionReadOnly": true,
"idleInTransactionSessionTimeout": "<string>",
"maxConnections": "<string>",
"searchPath": "<string>",
"sharedBuffers": "<string>",
"statementTimeout": "<string>"
},
"publicAccess": true
},
"networkId": "<string>",
"backup": {
"backupWindowStart": "<string>",
"retentionPolicy": "<string>"
},
"description": "<string>"
},
"status": {
"connectionEndpoints": {
"privateReadOnly": "<string>",
"privateReadWrite": "<string>",
"publicReadOnly": "<string>",
"publicReadWrite": "<string>"
},
"phase": "PHASE_UNSPECIFIED",
"presetDetails": {
"cpuCount": 123,
"gpuCount": 123,
"memoryGibibytes": "<string>"
},
"state": "STATE_UNSPECIFIED"
}
}
],
"nextPageToken": "<string>"
}List
Retrieves the list of PostgreSQL Cluster resources that belong to the specified folder.
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
Identifier of IAM container to list clusters from.
Specifies the maximum number of items to return in the response.
Token for pagination, allowing the retrieval of the next set of results.
Response
A successful response.
List of PostgreSQL Cluster resources.
Show child attributes
Show child attributes
This token allows you to get the next page of results for list requests. If the number of results is larger than [ListClustersRequest.page_size], use the [next_page_token] as the value for the [ListClustersRequest.page_token] parameter in the next list request. Each subsequent list request will have its own [next_page_token] to continue paging through the results.
Was this page helpful?